### Constructor

# Gtk AlertDialog new

since: 4.10

#### Declaration [src]

    GtkAlertDialog*
    gtk_alert_dialog_new (
      const char* format,
      ...
    )

#### Description [src]

Creates a new `GtkAlertDialog` object.

The message will be set to the formatted string resulting from the arguments.

Available since: 4.10

This constructor is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  `printf()`-style format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for `format`.

#### Return value

Type: `GtkAlertDialog`

The new `GtkAlertDialog`.

The caller of the function takes ownership of the data, and is responsible for freeing it.